Name:           fyre
Version:        1.0.0
Release:        10%{?dist}

Summary:        A tool for creating artwork from chaotic functions
Group:          Amusements/Graphics
License:        GPL
URL:            http://fyre.navi.cx/
Source0:        http://flapjack.navi.cx/releases/fyre/fyre-1.0.0.tar.bz2
Source1:        fyre-cluster.init
Source2:        fyre.config
Patch:          fyre-1.0.0-apps.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel desktop-file-utils gnet2-devel OpenEXR-devel
Requires(post): desktop-file-utils shared-mime-info initscripts chkconfig
Requires(postun): desktop-file-utils shared-mime-info initscripts chkconfig

%description
Fyre is a tool for producing computational artwork based on histograms of
iterated chaotic functions. At the moment, it implements the Peter de Jong map
in a fixed-function pipeline with an interactive GTK+ frontend and a command
line interface for easy and efficient rendering of high-resolution, high
quality images.

%prep
%setup -q
%patch -p 1 -b .apps

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
desktop-file-install --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  --add-category=GTK \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/fyre-cluster
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/fyre

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :
/sbin/chkconfig --add fyre-cluster
/sbin/service fyre-cluster condrestart >> /dev/null

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :
if [ $1 = 0 ]; then
 /sbin/chkconfig --del fyre-cluster
 /sbin/service fyre-cluster stop >> /dev/null
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_initrddir}/fyre-cluster
%config(noreplace) %{_sysconfdir}/sysconfig/fyre

%changelog
* Thu Dec  1 2005 Ignacio Vazquez-Abrams <ivazquez ivazquez net> 1.0.0-10
- Fix NLS in initscript

* Fri Jul  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-9
- Added restart definition to initscript (#161008)

* Thu May 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-8
- Marked config file

* Wed May 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-7
- Added initscript for clustering

* Tue May 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-6
- Re-enabled OpenEXR and GNet

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-4
- Disabled OpenEXR and GNet in %%configure
- Removed gtk2-devel from BuildRequires

* Fri Mar 25 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-3
- Removed NEWS
- Added || : to %%post* commands

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-2
- Summary and %%post/%%postun changes

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-1
- Initial RPM release.
